<template>
  <div class="Contenidos">
      <div v-for="nota in notas" :key="nota.notaId" class="card text-center mt-4" >
        <div class="card-header">
        usuario: {{ nota.notaUser }}
        </div>
        <div class="card-body">
          <h5 class="card-title">{{ nota.notaContent }}</h5>
          <button type="button" @click="handleEliminarNota(nota.notaId)" class="btn btn-primary">Eliminar</button>
        </div>
      </div>
  </div>
</template>
<script>

export default {
  props: [ 'notasColeccion' ],
  data (){
    return {
      notas: []
    }
  },
  methods: {
       handleBuscarNotas: function () {
          this.notasColeccion.orderByChild("timestamp").on('value', (listado) => {
              var notas = [];
              listado.forEach(function (objeto) {
                  var nota = objeto.val();
                  notas.push({
                      notaId: objeto.key,
                      notaContent: nota.notaContent,
                      notaUser: nota.notaUser
                  })
              });
              notas.reverse();
              this.notas = notas;
          });
      },
      handleEliminarNota:  function (notaId){
        this.notasColeccion.child(notaId).remove();
      }
  },
  created() {
    let self=this;
    self.handleBuscarNotas();
    //console.log('Component has been created!');
  }
}
</script>
